summaryrefslogtreecommitdiff
path: root/tests/install
diff options
context:
space:
mode:
Diffstat (limited to 'tests/install')
-rwxr-xr-xtests/install/basic-110
-rwxr-xr-xtests/install/create-leading4
-rwxr-xr-xtests/install/d-slashdot4
-rwxr-xr-xtests/install/trap8
4 files changed, 13 insertions, 13 deletions
diff --git a/tests/install/basic-1 b/tests/install/basic-1
index 84a94343b..bbb30878e 100755
--- a/tests/install/basic-1
+++ b/tests/install/basic-1
@@ -40,7 +40,7 @@ file=file
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -69,7 +69,7 @@ dd2=dd2$EXEEXT
just_built_dd=$pwd/../../src/$dd
-test -r $just_built_dd || \
+test -r "$just_built_dd" || \
{
cat 1>&2 <<EOF
$0: WARNING!!!
@@ -79,7 +79,7 @@ EOF
exit 77
}
-cp $just_built_dd . || fail=1
+cp "$just_built_dd" . || fail=1
cp $dd $dd2 || fail=1
strip $dd2 || \
@@ -117,7 +117,7 @@ test -d newdir3 || fail=1
# hence cannot do anything meaningful with the following relative-named dirs.
abs=$pwd/$tmp
mkdir sub || fail=1
-(cd sub && chmod 0 . && ginstall -d $abs/xx/yy rel/sub1 rel/sub2 2> /dev/null) && fail=1
+(cd sub && chmod 0 . && ginstall -d "$abs"/xx/yy rel/sub1 rel/sub2 2> /dev/null) && fail=1
chmod 755 sub
# Ensure that the first argument-dir has been created.
@@ -132,7 +132,7 @@ test -d xx/rel && fail=1
# inaccessible parent. coreutils 5.97 fails this test.
mkdir -p sub1/d || fail=1
(cd sub1/d && chmod a-rx .. && chmod a-r . &&
- ginstall -d $abs/xx/zz rel/a rel/b 2> /dev/null) || fail=1
+ ginstall -d "$abs"/xx/zz rel/a rel/b 2> /dev/null) || fail=1
chmod 755 sub1 sub1/d || fail=1
test -d xx/zz || fail=1
test -d sub1/d/rel/a || fail=1
diff --git a/tests/install/create-leading b/tests/install/create-leading
index 8cfb0205f..fd7a5f7ff 100755
--- a/tests/install/create-leading
+++ b/tests/install/create-leading
@@ -1,7 +1,7 @@
#! /bin/sh
# Test -D option.
-# Copyright (C) 2000, 2001 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2001, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@ fi
pwd=`pwd`
dir=install-D$$
-trap "cd $pwd; rm -rf $dir" 0 1 2 3 15
+trap 'cd "$pwd" && rm -rf $dir' 0 1 2 3 15
mkdir $dir
diff --git a/tests/install/d-slashdot b/tests/install/d-slashdot
index 904769d46..7bf7c5d43 100755
--- a/tests/install/d-slashdot
+++ b/tests/install/d-slashdot
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that ginstall -d works with arguments specified with a trailing "/.".
-# Copyright (C) 2005 Free Software Foundation, Inc.
+# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -25,7 +25,7 @@ fi
pwd=`pwd`
tmp=`echo "$0"|sed 's,.*/,,'`.tmp
-trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
trap '(exit $?); exit' 1 2 13 15
framework_failure=0
diff --git a/tests/install/trap b/tests/install/trap
index 70f6767e4..3ebaafff3 100755
--- a/tests/install/trap
+++ b/tests/install/trap
@@ -2,7 +2,7 @@
# Ensure that `install -s' doesn't infloop when its parent
# process traps CHLD signal.
-# Copyright (C) 2004, 2005 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2005, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -26,7 +26,7 @@ fi
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -43,10 +43,10 @@ fail=0
# Use a subshell and an exec to work around a bug in FreeBSD 5.0 /bin/sh.
(
# ash doesn't support "trap '' CHLD"; it knows only signal numbers.
- sig=`$pwd/../../src/kill -l CHLD 2>/dev/null` && trap '' $sig
+ sig=`"$pwd"/../../src/kill -l CHLD 2>/dev/null` && trap '' $sig
# Before 2004-04-21, install would infloop, in the `while (wait...' loop:
- exec ginstall -s $pwd/../../src/ginstall$EXEEXT .
+ exec ginstall -s "$pwd"/../../src/ginstall$EXEEXT .
)
(exit $fail); exit $fail